| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
StratosharkMainStatusBar Class Reference
Inheritance diagram for StratosharkMainStatusBar:

## Public Member Functions
| StratosharkMainStatusBar (QWidget *parent=0)
Public Member Functions inherited from MainStatusBar
| MainStatusBar (QWidget *parent=0)
void | showExpert ()
void | captureFileClosing ()
void | expertUpdate ()
void | setFileName (CaptureFile &cf)

## Protected Member Functions
void | showCaptureStatistics () override
Protected Member Functions inherited from MainStatusBar
virtual void | changeEvent (QEvent *event)
void | pushGenericStatus (StatusContext status, const QString &message, const QString &messagetip=QString())
void | popGenericStatus (StatusContext status)

## Additional Inherited Members
Public Slots inherited from MainStatusBar
void | setCaptureFile (capture_file *cf)
void | selectedFieldChanged (FieldInformation *)
void | highlightedFieldChanged (FieldInformation *)
void | selectedFrameChanged (QList< int >)
void | updateCaptureStatistics (capture_session *cap_session)
void | updateCaptureFixedStatistics (capture_session *cap_session)
void | captureEventHandler (CaptureEvent ev)
Signals inherited from MainStatusBar
void | showExpertInfo ()
void | editCaptureComment ()
void | stopLoading ()
Protected Types inherited from MainStatusBar
enum | StatusContext { STATUS_CTX_MAIN , STATUS_CTX_FILE , STATUS_CTX_FIELD , STATUS_CTX_BYTE , STATUS_CTX_FILTER , STATUS_CTX_PROGRESS , STATUS_CTX_TEMPORARY }
Protected Attributes inherited from MainStatusBar
capture_file * | cap_file_
bool | cs_fixed_
uint64_t | cs_count_

## Member Function Documentation

## ◆ showCaptureStatistics()

void StratosharkMainStatusBar::showCaptureStatistics | ( |  | ) |
| override protected virtual

Reimplemented from MainStatusBar.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/stratoshark/stratoshark_main_status_bar.h
- /builds/wireshark/wireshark/ui/stratoshark/stratoshark_main_status_bar.cpp